CMSIS-Core (Cortex-A): Domain Access Control Register (DACR)

| CMSIS-Core (Cortex-A) Version 1.0.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Functions
Domain Access Control Register (DACR)
Core Register Access

DACR defines the access permission for each of the sixteen memory domains. More...

## Content
| DACR Bits
| Bit position and mask macros.
| DACR Dn field values
| Valid values for DACR Dn field.

## Functions
__STATIC_INLINE uint32_t | __get_DACR ()
| Get DACR (Domain Access Control Register) More...
__STATIC_INLINE void | __set_DACR (uint32_t dacr)
| Set DACR (Domain Access Control Register) More...

## Description

Bits | Name | Function
--- | --- | ---
[31:30] | D15 | Domain 15 access permission.
[29:28] | D14 | Domain 14 access permission.
[27:26] | D13 | Domain 13 access permission.
[25:24] | D12 | Domain 12 access permission.
[23:22] | D11 | Domain 11 access permission.
[21:20] | D10 | Domain 10 access permission.
[19:18] | D9 | Domain 9 access permission.
[17:16] | D8 | Domain 8 access permission.
[15:14] | D7 | Domain 7 access permission.
[13:12] | D6 | Domain 6 access permission.
[11:10] | D5 | Domain 5 access permission.
[9:8] | D4 | Domain 4 access permission.
[7:6] | D3 | Domain 3 access permission.
[5:4] | D2 | Domain 2 access permission.
[3:2] | D1 | Domain 1 access permission.
[1:0] | D0 | Domain 0 access permission.

Consider __get_DACR and __set_DACR to access this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_DACR | ( |  | ) |

Returns
  Domain Access Control Register value

This function returns the value of the Domain Access Control Register (DACR).

__STATIC_INLINE void __set_DACR | ( | uint32_t | dacr | ) |

Parameters

  [in] | dacr | Domain Access Control Register value to set

This function assigns the given value to the Domain Access Control Register (DACR).